#ifndef kem_h
#define kem_h

#define PKC_KEM_API extern "C" __declspec(dllexport)

PKC_KEM_API unsigned long long  kem_get_pk_byts();
PKC_KEM_API unsigned long long  kem_get_sk_byts();
PKC_KEM_API unsigned long long  kem_get_ss_byts();
PKC_KEM_API unsigned long long  kem_get_ct_byts();

PKC_KEM_API int kem_keygen(unsigned char *pk, unsigned long long *pk_byts, unsigned char *sk, unsigned long long *sk_byts);
PKC_KEM_API int kem_enc(unsigned char *pk, unsigned long long pk_byts, unsigned char  *ss, unsigned long long* ss_byts,
	unsigned char *ct, unsigned long long *ct_byts);
PKC_KEM_API int kem_dec(unsigned char *sk, unsigned long long sk_byts,
	unsigned char *ct, unsigned long long ct_byts,
	unsigned char *ss, unsigned long long *ss_byts);







#endif